Unified CCE Software Compatibility Matrix for 8.0(x)

From DocWiki

Jump to: navigation, search

Go to: Compatibility Matrix for Unified CCE

Go to: Category:Unified Contact Center Enterprise


Introduction

This compatibility matrix specifies all supported configurations and versions for Cisco Unified Contact Center Enterprise 8.0(x).

Details are also provided about Unified ICM ACD Software Compatibility.

The information in this compatibility matrix supersedes compatibility information in any other Cisco Unified Contact Center Enterprise documentation. If a configuration or version is not stated, that configuration or version is not supported.


Contents

Unified CCE 8.0(x) Product Sets

Unified CM IVR (IP-IVR and

CVP [formerly ISN])

PG/CAD/CTI OS
Server
CTI OS

Desktop

Unified

Intelligence

Center

Unified

EIM/WIM

Unified CRM

Version

RSM    Unified

CCMP

8.0(3)
8.0(2)
8.0(1)
IP IVR
8.0(x)

CVP
8.5(x)

8.0(1)

PG 8.0(x)
7.5(X)
7.2(X)
7.1(X)

CAD
7.5
CTI OS 8.0(x)
7.5(X)
7.2(X)
7.1(X)

8.0(x)
7.5(x)
7.2(x)
7.1(x)
7.0(x)

9.1(x)

9.0(x)

8.5(x)
8.0(x)

9.0(2)

9.0(1)

4.4(1)
4.3(2)
4.3(1)

 CRM for Siebel 8.0(x)

CRM for PeopleSoft 1.1 (2)

CRM for Salesforce 1.1 (2)

CRM for Microsoft Dynamics CRM 1.1 (2)

CRM for SAP 1.0(2)

9.1(1)
9.0(1)
8.0
8.5(x)
8.0(x)
7.1(5)
7.1(3)
7.1(2)
IP IVR
8.0(x)
7.0(x)

CVP
8.5(x)
8.0(1)
7.0(2)

PG 8.0(x)
7.5(x)
7.2(x)
7.1(x)

CAD
7.5
CTI OS 8.0(x)
7.5(x)
7.2(x)
7.1(x)

8.0(x)
7.5(x)
7.2(x)
7.1(x)
7.0(x)

9.1(x)

9.0(x)

8.5(x)
8.0(x)

9.0(2)

9.0(1)

4.4(1)

4.3(2)
4.3(1)

 CRM for Siebel 8.0(x)

CRM for PeopleSoft 1.1 (2)

CRM for Salesforce 1.1 (2)

CRM for Microsoft Dynamics CRM 1.1 (2)

CRM for SAP 1.0(2)

9.1(1)
9.0(1)
8.0
8.5(x)
8.0(x)


Unified CCE 8.0(x) Notes

  1. Unified CCE 8.0(2) or later is required for deployments that are integrated with Genesys Cisco T-Server.
  2. Unified CCE 8.0 (1) Central Controller supports PGs running at the following versions for backward compatibility: 7.1(x), 7.2(x), 7.5(x).
  3. Multiline Agent Feature is supported only with Unified CM 7.1(3) and later.
  4. Outbound Option SIP Dialer:
    Supports ISR G2 (39xx and 29xx) with PVDM2 or PVDM3 DSP card
    Also supports 28xx, 38xx, AS5350xm, AS5400xm gateways with a PVDM2 DSP card
    When needed for design, requires Cisco Unified SIP Proxy Version 1.4.1 or later
    Supports IOS Release 15.1(x)T
    CUBE cannot be used as a SIP proxy for the SIP dialer. However, CUBE is allowed between the Gateways and rest of UCCE/ICM solution only when implementing MediaSense. Please reference the MediaSense SRND for full implementation details.
  5. Unified CM:
    Unified CM 8.0 (1) is only supported with an Unified CCE 8.0(1) Peripheral Gateway (PG)
    Unified CM features Join/Transfer Across Lines are supported only with Unified CM 7.1(3) and later
  6. CTI OS:
    The Client version must be at the same version of CTI OS Server or earlier
    The CTI OS Server and the PG must be in the same maintenance release version.
  7. Unified CVP: For required IOS versions for Gateways and Gatekeepers, see the Hardware and System Software Specification for Cisco Unified Customer Voice Portal.
  8. Unified Expert Advisor requires:
    Unified CCE 7.2(3) or Unified CCE 7.5(5) or Unified CCE 8.0(1)
    Cisco Unified Personal Communicator 7.0 or Microsoft Office Communicator Server (and client) 2007 R2
    Cisco Unified Presence Server 7.0(4) or Cisco Unified Presence Server 8.0(2)
    CVP is optional, but only 7.0(2) is supported with Expert Advisor 7.6(1)
  9. Enhancements were made to CMB 7.1(3) to support RT/RT-lite phones and other CUCM 8.0 features. These changes cannot be back ported to CMB versions 7.1(1) and 7.1(2). These versions will continue to work with ALL versions of UCCE, but WITHOUT support for multiline for Roundtable and Roundtable-Lite endpoints, and enhanced Administration UI. All versions of CMB support Callback/Blended Collaboration features.
  10. CMB 7.1(3) minor release is compatible with UCCE 8.0(x) and above, and NOT backward compatible with older versions.
  11. Backward compatible PGs are intended to be supported during the transition when you upgrade the Central Controller and PGs to the same version.
  12. MR PG and Dialer must be at the same version.


General Compatibility Notes and Limitations

Component Notes
Phones The following general limitations pertain to IP phones used with Unified CCE Enterprise deployments:
  • Third-party SIP phones are not supported as contact center agent phones. The SIP standard does not include the necessary messaging for third-party Call Control (3PCC). Unified CCE relies on CTI capabilities on the SIP phones that third-party phones do not have. As an alternative, you may choose to deploy the Mobile Agent solution to enable Cisco Unified CCE and Contact Center Hosted (CCH) to use any phone as an agent phone. Please consult with your Cisco Sales Engineer for additional detail on this configuration.
  • IP Communicator is not supported with Cisco Agent Desktop (CAD) IP Phone Agent.
  • See the Cisco Unified Communications Manager Compatibility Guide for SIP and other phone protocol support.
System Peripheral Gateway (PG) Deployments The following general limitations pertain to Unified CCE deployments that use the System PG:


Unified CCE Parent / Child Compatibility

Release
Parent 7.2(x) Parent 7.5(x) Parent 8.0(x)
Child 7.2(x) Yes
Yes
Yes
Child 7.5(x) Yes
Yes
Yes
Child 8.0(x) Yes
Yes
Yes


NAM/CICM Compatibility

NAM Version CICM Version
8.0 7.5
8.0
7.2


Note: The columns can be switched for forward compatibilty. For example, NAM at 7.5 and CICM at 8.0 is a supported configuration.

VDI & Cisco VXI Support

Cisco Client Type Version Virtual Desktop Infrastructure OS Compatibility Cisco VXI Clients
CTI-OS Clients (All CILs) 8.0(1) VMWare View 3.0 Windows 7 32 bit - Supported
Windows 7 WoW64 - Unsupported
Windows XP 32 bit - Supported
VXC 2100 - N/A
VXC 2200 - N/A
VXC 2111 - Supported with Cisco Unified IP Phone 8961, 9951, and 9971
VXC 2211 - Supported
CTI-OS Clients (All CILs) 8.0(1) Citrix XenDesktop 5.0 or 6.0 Windows 7 32 bit - Supported
Windows 7 WoW64 - Unsupported
Win XP 32 Bit - Supported
VXC 2100 - Supported with Cisco Unified IP Phone 8961, 9951, and 9971
VXC 2200 - Supported
VXC 2111 - N/A
VXC 2211 - N/A
Cisco Agent Desktop (CAD) All Not Supported Not Supported Not Supported

Note:

  • UCM Silent Monitoring is the only type of Silent Monitoring that is supported with VXI/VDI.
  • Desktop solutions are supported on PC-like devices only that utilize a keyboard and mouse (no tablets or mobile devices supported at this time).
  • The customer is not required to use Cisco VXI endpoints in a VDI solution. The customer can use any VDI endpoint that supports the specific Citrix or VMWare VDI solution versions supported by Cisco. The customer is responsible for ensuring that bandwidth and any other deployment considerations ensure that the solution can meet the performance and timing requirements of CTI-OS.
  • For information about CAD wih thin client and virtual desktop environments, see the Integrating CAD with Thin Client and Virtual Desktop Environments document.

Application Virtualization

Windows Server 2008 R2 (SP1)

Cisco Client Version Version Citrix/XenApp Remote Desktop Services platform
CTI-OS Clients (All CILs) 8.0(x) XenApp 5.0 Windows Server 2008 R2 (SP1)



Siebel Compatibility


Cisco Siebel Driver
Siebel Release
8.0(x) 7.8(x), 8.0(x), 8.1(x)


ICM-to-ICM Gateway Requirements


The following are system requirements for ICM-to-ICM Gateway.

  • Both Client ICM and Server ICM must be supported releases of Unified ICME and the two versions must appear on a single row in the table below  If two connected ICMs are running with different releases of Unified ICME, only the ICM-to-ICM Gateway features supported by the lowest release are available.


ICM-to-ICM Gateway Client and Server Release Requirements

Client/Server 1 Client/Server 2 Comments
7.5, 8.0 8.0, 7.5 UCCE 8.0(1) is a major release.


IP Phone Support

IP Phones Supported Notes
99xx series Y 9951 and 9971 are supported.
89xx series Y 8961 is supported.
69xx series Y 6921, 6941, 6961 are supported.
69xx phones are supported only with a single line configuration with Unified CM 7.1(2,) and are supported with multiple lines with Unified CM 7.1(3) and later.
797x Y 7970 model is not supported with Unified CM based Silent Monitor or RSM.
796x Y 7960 model is not supported with Unified CM based Silent Monitor or RSM.
794x Y 7940 model is not supported with Unified CM based Silent Monitor or RSM.
793x N
792x Y To use the Cisco Wireless IP Phone 792x as an agent phone and as a Cisco IP Phone Agent, consult and follow the Cisco Wireless IP Phone 792x Design and Deployment Guide to ensure proper operation. It is available at: http://www.cisco.com/go/srnd
791x Y 7910, 7911, and 7912 are supported with Unified CCE 8.0 (1).
791x series are not supported by Unified CCE based Silent Monitor or RSM.
7910 and 7912 IP Phones do not support the Desktop Silent Monitor feature. The 7910 SW phone does support this feature.
IP Communicator Y Versions 7.0 and 8.0 are supported.
Version 8.6.0.29 is supported for Release 8.5(x) and later.


Other Product Sets

Unified ICM ACD 8.0 Product Sets

Alcatel

ACD Version 1 ICM 8.0
v2.1 No
v3.2 No
v4.1.1 No
v4.2 No
v5.0 No
v5.1 No
v6.0 No
v6.1 No
v7.1 No
v8.0 No

1 Major ACD versions not listed here should be considered unsupported by Cisco.




Aspect Call Center w/CMI

Switch Version CMI (Contact Server) ICM 8.0 Notes
v8.02 CMI v5.1.1 No
v8.3 CMI v5.1.2 No
v8.3 CMI v5.2 No
v8.4 CMI v5.2 No Aspect 8.4 and CMI 5.2 are End of Support (EOS) by Aspect.
v9.0 CMI v5.2 No Aspect 9.0 and CMI 5.2 are EOS by Aspect.
v9.1 (Win2k3) CMI v5.2 Yes Aspect 9.1 and CMI 5.2 are EOS by Aspect.
v9.1.1 CMI v5.2 Yes Aspect 9.1.1 and CMI 5.2 are EOS by Aspect.
v9.2 CMI v5.2 Yes
v9.2 CMI v6.2.1 Yes
v9.3 1 CMI v5.2 Yes
v9.3 CMI v6.2.1 Yes
v9.3 CMI v6.3 Yes
v9.3 CMI v6.4 No CMI v6.4 is supported only on Win2k8.

1ICM supports four-digit Application IDs and CCT with Aspect Switch Version 9.3 from 7.5(9) onwards in the 7.5(x) stream and 8.0(2) onwards in the 8.(x) stream.

Note: DataInterLink with Application Bridge 6.0 is supported for all versions of ICM.



Aspect Spectrum with Lan Transaction Link

ACD Version1 ICM 8.0
8.0.0 No
8.0.0b No
8.0.0c No
8.0.0d No
10.0 No
v10.0 sp1 (R8AM09) No
v10.0 sp2 No
v10.0 sp3 No
10.0.4 Yes
v10.1 Yes
v10.2 Yes

1Major ACD versions not listed here should be considered unsupported by Cisco.

 

Avaya

When reviewing the support details in the Avaya matrixes below, consider the following notes and special considerations related to Avaya support:

  • Avaya Name Changes: Avaya changed names from DEFINITY to MultiVantage to Avaya Communications Manager (ACM) to Avaya Aura Communications Manager.
  • RTA 5.0.5 and RTA 6.0 enhanced functionality (60 skills per agent and 2000 skill groups per system) are not supported by ICM.
  • ICM currently does not support more than 12000 active associations on a single system.
  • All CMS versions are supported as long as a supported RTA is being used.
  • Cisco supports the Avaya S8300, S8400, S85XX, S87XX, and S88XX Servers in support of ACM.
  • Cisco supports the general use of Avaya IP Phones.
  • MAPD is EOL from June 2008.
  • Support for third-party ACD clients, SDKs, and interfaces integrated with ICM ends when the third-party ACD manufacturer ends mainstream support.
  • Ten-digit Agent extension and Agent ID are supported from ICM 9.0(3) and higher that has ACM 6.2 and higher; AES 6.2 and higher; and CMS R16 with RTA 6.0 pl: 13g.



Avaya CMS RTA Support Matrix

RTA Version ICM 8.0
4.1 No
4.5 No
4.6.1 No
4.6.2 No
4.6.4 No
4.6.5 No
4.7.3 No
4.8.1 No
5 No
5.0.5 Yes
5.0.5e No
6.0(x) Yes
6.0 Extended No



AES/CVLAN Server and CVLAN Client Support Matrix

AES (CVLAN) Server CVLAN Client Supported ICM 8.0 Notes
3.0.x 8.2.5 No5 8.2.5 client is EOL from Avaya.
3.1.x 8.2.5 No5 8.2.5 client is EOL from Avaya.
4.0.x 8.2.5 No5 8.2.5 client is EOL from Avaya.
4.1.x 4.1.01
4.2.22
6.13
Yes
4.2.x 4.1.0
4.2.2
6.1
Yes
5.2.14 4.1.0
4.2.2
6.1
Yes
5.2.2 4.1.0
4.2.2
6.1
Yes
6.1 4.1.0
4.2.2
6.1
Yes
6.2 4.1.0
4.2.2
6.1
Yes
6.3 4.1.0
4.2.2
6.1
Yes

1CVLAN Client 4.1.0 is integrated from UCCE/ICM 7.2.7 to 7.5.6.
2CVLAN Client 4.2.2 is integrated from UCCE/ICM 7.5.7 to 8.5.1.
3CVLAN Client 6.1 is integrated from UCCE/ICM 8.5.2 onwards and UCCE/ICM 10.0(x) supports only CVLAN Client 6.1.
4Processor Ethernet is supported with AES 5.2.1 and ACM 5.2.1.
5Support for third-party ACD clients, SDKs, and interfaces integrated with ICM ends when the third-party ACD manufacturer ends mainstream support.




Avaya Aura Communications Manager Support Matrix

ACD Version 1 ICM 8.0 Notes
ACM 2.2.2 No
ACM 3.02 No
ACM 3.1.0 No No support due to Avaya regression fix being provided with 3.1.1.
ACM 3.1.1.628.7
Patch 11761
No Supported with both AES 3.0 & AES 3.1 in CMS environments. No support in CMS-less with AES.
ACM 3.1.2 No Supported only in a CMS environment.
ACM 3.1.3 No Supports both CMS and CMS-Less configurations.
ACM 3.1.4 No
ACM 3.1.5 No
ACM 4.02 Yes
ACM 4.0.1 Yes
ACM 4.0.3 Yes
ACM 4.0.4 Yes
ACM 5.0 Yes
ACM 5.1 Yes
ACM 5.1.2 Yes
ACM 5.2 Yes
ACM 5.2.13 Yes
ACM 6.0 Yes
ACM 6.2 Yes
ACM 6.3 Yes

1Major ACD versions not listed here should be considered unsupported by Cisco.
2Avaya CM 4.x supports both MAPD and AES. However, MAPD is supported only up to ICM 7.2.4.
3Processor Ethernet is supported with AES 5.2.1 and ACM 5.2.1.



Avaya ARS Support Matrix

ACD Version1 ICM 8.0
4.0 Yes
4.0.1 Yes
4.0.3 Yes
4.0.4 Yes
5.0 Yes
5.1 Yes
5.1.2 Yes
5.2.1 No

1Major ACD versions not listed here should be considered unsupported by Cisco.

Avaya/Nortel

Caveats and special considerations apply with regard to support of this vendor's ACD/Switch types. Consider the following notes as you review the supported matrixes described below:

  • Cisco currently supports only select Succession platforms with Symposium. (See the following chart for details.)
  • SEI Lite integration is available for select ICM versions. The Cisco Automated Administrator for Symposium is required in order to integrate SEI Lite on ICM versions 5.0 and higher. (See the following chart for details.)
  • Cisco does not support more than one PG pair connected to a single Symposium server.
  • Customers who need to obtain the SCCS Toolkit must request this from Cisco. Please send an email to icm-nortelpg-sdk@cisco.com, and include the following information:
    • Customer name
    • Maintenance contract number
    • ICM version
    • PG version
    • Number of PGs



Avaya Aura Contact Center (AACC), Nortel Contact Center Manager (NCCM, formerly Symposium (SCCS))

AACC/SCCS/NCCM Version Meridian Succession Version Nortel SEI Lite ICM 8.0 Notes
AACC 6.0 CS1000 Succession 7.5
CS1000 Succession 7.0
CS1000 Succession 6.0
Planned Yes
5.0 Meridian Option 112 Yes, SU03 with designer patch (NN_SCCS_5.0 _DP_03_S) or SU06

AAS is supported with ICM 6.0(0) SR3, 7.0(0) SR2, and later releases of ICM
No
  • HDX SDK R5.0 needs to be installed on the PG.
  • Feature Pack 1 is now supported with SCCS 5.0.
  • No SWAP feature support prior to 5.0 SR13.
  • From September 2008, no further support from Nortel will be provided for SCCS 5.0.
5.0 Succession Communication Server 1000 (CS1K) Yes, SU03 with designer patch (NN_SCCS_5.0 _DP_03_S) or SU06

AAS is supported with ICM 6.0(0) SR3, 7.0(0) SR2, and later releases of ICM
No From September 2008, no further support from Nortel will be provided for SCCS 5.0.
6.0 C1000 Succession 4.5 Yes Yes
6.0 C1000 Succession 5.0 Yes Yes
6.0 C1000 Succession 5.5 Yes Yes

1Starting with UCCE/ICM 8.5(2), the Cisco Nortel PG is supported on both Windows 2008 R2 and Windows 2003 with AACC 6.0 only.
Prior versions of the Cisco Nortel PG are supported only on Windows 2003.
2While Cisco does not have a Nortel Meridian Option 51/61/81C in the testing environment, we do support ICM integration with these
Nortel Meridian models with CCM 5/6 since the PG to Symposium/CCM interface is tested. We have multiple customers running these
environments in production. Please note that Nortel has stopped support for CCM 5 and, therefore, our support is limited.



Nortel SDK

ACD Version1 ICM 8.0 Notes
Nortel SDK 5.0 (with SCCS 5.0 and NCCM 6.0) No From September 2008, no further support from Nortel will be provided for SCCS 5.0.
Nortel SDK 6.0 (with NCCM 6.0, NCCM 7.0, and AACC 6.0) Yes HDX 6, RTD 6 must be installed on the PG. Note: SDKs are not integrated with ICM.



DMS 1000

ACD Version1 ICM 8.0 Notes
NA09 SCAI 11 No
NA10 SCAI 12 No
NA10 SCAI 13 No
Eur08 SCAI 11 No
Eur09 SCAI 12 No
Eur10 SCAI 13 No
APC05 SCAI 10 No
APC06 SCAI 11 No
APC07 SCAI 12 No
APC08 SCAI 13 No
SCAI 14 No
SCAI 17 No SCAI 17 supported at the server level; client must be at SCAI 11. No new features introduced by Nortel with SCAI 17 are supported.
SCAI 18 No

1Major ACD versions not listed here should be considered unsupported by Cisco.



SL 100

ACD Version1 ICM 8.0
MSLIVD08 SCAI 11 No
MSLIVD09 SCAI 12 No
MSLIVD10 SCAI 13 No
SCAI 17 No
SCAI 18 No

1 Major ACD versions not listed here should be considered unsupported by Cisco.



CTI Support for ACD Types

ACD Vendor ACD Model CTI Server Protocol Support CTI OS Support
Alcatel 4400 ACD w/CSTA-2 Yes Yes
Aspect Contact Server Yes Yes
Avaya Avaya Communication Manager driven by Avaya S8300, S8400, S85xx, S87xx, and S88xx Servers Yes Yes
Cisco IPCC Yes Yes
Nortel DMS -100 Yes No
Nortel DMS -500 Yes No
Nortel SL - 100 No No
Nortel Symposium Yes Yes
Rockwell Galaxy No No
Aspect Spectrum w/ LAN Transaction Link Yes Yes
Aspect Spectrum w. X.25 Transaction Link Yes Yes

 




Back to: Category:Unified Contact Center Enterprise

Rating: 5.0/5 (1 vote cast)

Personal tools